#include <sys/types.h>
#include <sys/socket.h>

#include "Socket.h"

int Socket::read(char *buf, int len)
{
  if (ssl) {
    return _SSL_read(ssl, buf, len);
  } else {
    return recv(s, buf, len, 0);
  }
}

int Socket::write(char *buf, int len)
{
  if (ssl) {
    return _SSL_write(ssl, buf, len);
  } else {
    return send(s, buf, len, 0);
  }
}
